---
schema_version: "1"
id: bce4ee97c3c0e252d0edd15a93cdb3fa2764cfa36623ee7f688a3e4fca5e0613
title: Update List View Preferences
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/uiapi/ui_api_resources_list_preferences_update.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_list_preferences_update.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: 333a0e95095b18075dd75c476e64965d6957dd6f683e7d771f6ab6a3c83139d0
description: Update list view preferences.
---
# Update List View Preferences

Update list view preferences.

Resource

/ui-api/list-preferences/${objectApiName}/${listViewApiName}

- objectApiName—A [supported](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_get_started_supported_objects.htm#ui_api_get_started_supported_objects "User Interface API supports all custom objects and external objects and many standard objects.") object, such as Account.
- listViewApiName—The API name of a list view, such as AllAccounts.

Available version

61.0

HTTP methods

PATCH

Example

This example updates list preferences for the All Accounts list view.

PATCH /services/data/v68.0/ui-api/list-preferences/Account/AllAccounts

{
"columnWidths" : {
  "Name" : 200
  },
"columnWrap" : {
  "Name" : false
  },
"orderedBy" : \[{
  "fieldApiName": "Name",
  "isAscending" : true
  }\]
}

Request parameters for PATCH

| Parameter Name | Type | Description | Required or Optional | Available Version |
| --- | --- | --- | --- | --- |
| listPreferencesInput | [List Preferences Input](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_requests_list_preferences_input.htm "List preferences to update.") | List preferences to update. | Required | 61.0 |

Response body for PATCH

[List Preferences](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_list_preferences.htm "List preferences.")